'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.classes = undefined;

var _palette = require('../palette');

var _palette2 = _interopRequireDefault(_palette);

var _Input = require('@material-ui/core/Input');

var _Input2 = _interopRequireDefault(_Input);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var inputPadding = '9px 11px';

var classes = exports.classes = {
  input: {
    borderRadius: 4,
    border: '1.2px solid ' + _palette2.default.grey[400],
    backgroundColor: _palette2.default.common.white,
    padding: inputPadding,
    '&:focus': {
      borderColor: _palette2.default.primary.main
    },
    '&$disabled': {
      border: 'none',
      backgroundColor: _palette2.default.grey[300],
      opacity: '.5'
    }
  },
  underline: {
    '&:before': {
      display: 'none'
    },
    '&:after': {
      display: 'none'
    },
    '&$error': {
      border: '2px solid ' + _palette2.default.error.main,
      borderRadius: 4,
      '& > $input': {
        border: 'none'
      }
    }
  },
  multiline: {
    padding: 0
  },
  inputMultiline: {
    padding: inputPadding
  }
};

exports.default = _Input2.default;