'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPaletteInput = exports.defaultPaletteType = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createPalette = require('@material-ui/core/styles/createPalette');

var _createPalette2 = _interopRequireDefault(_createPalette);

var _colors = require('@material-ui/core/colors');

var _colors2 = require('./colors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultPaletteType = exports.defaultPaletteType = 'light';

var light = {
  background: {
    default: _colors2.smoke[100],
    paper: _colors.common.white,
    contentFrame: _colors2.smoke[200]
  },
  divider: _colors2.water[50]
};

var dark = {
  background: {
    default: _colors2.plum[800],
    paper: _colors2.plum[700],
    contentFrame: _colors2.plum[900]
  }
};

var shades = { light: light, dark: dark };

var getPaletteInput = exports.getPaletteInput = function getPaletteInput() {
  var type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultPaletteType;

  return _extends({
    type: type,
    primary: {
      light: _colors2.water[200],
      main: _colors2.water[500],
      dark: _colors2.water[700]
    },
    secondary: {
      light: _colors2.lavender.A100,
      main: _colors2.lavender.A200,
      dark: _colors2.lavender.A400
    },
    grey: _colors2.smoke,
    error: {
      light: _colors2.scarlet[200],
      main: _colors2.scarlet[500],
      dark: _colors2.scarlet[700]
    },
    gradient1: _colors2.plum,
    gradient2: _colors2.atmosphere
  }, shades[type]);
};

exports.default = (0, _createPalette2.default)(getPaletteInput());